netatalk: logintest.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
logintest.c File Reference
`#include <dlfcn.h>`
`#include <getopt.h>`
`#include "afpclient.h"`
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Data Structures
struct | uam_test
struct | test_fn

## Macros
#define | TEST4_MAX_CONNS 201

## Functions
STATIC void | connect_server (CONN *conn)
STATIC void | test1 (void)
STATIC void | test2 (void)
STATIC void | test3 (void)
STATIC void | test4 (void)
STATIC void | test5 (void)
STATIC void | test6 (void)
STATIC void | test7 (void)
STATIC void | test8 (void)
STATIC void | test9 (void)
static unsigned int | run_nua (CONN *conn, const char *pvers, const char *user, const char *pwd)
static unsigned int | run_cleartxt (CONN *conn, const char *pvers, const char *user, const char *pwd)
STATIC void | test10 (void)
static void | list_tests (void)
static void | run_one (char *name)
static void | run_all (void)
void | usage (char *av0)
int | main (int ac, char **av)

## Variables
uint16_t | VolID
CONN * | Conn
CONN * | Conn2
int | ExitCode = 0
int | PassCount = 0
int | FailCount = 0
int | SkipCount = 0
int | NotTestedCount = 0
char | FailedTests [1024][256] = {{0}}
char | NotTestedTests [1024][256] = {{0}}
char | SkippedTests [1024][256] = {{0}}
DSI * | Dsi
char | Data [300000] = ""
char * | Server = "localhost"
char * | Server2
int | Port = DSI_AFPOVERTCP_PORT
char * | Password = ""
char * | Vol = ""
char * | User
char * | User2
char * | Path
int | Version = 34
int | List = 0
int | Mac = 0
int | EmptyVol = 0
char * | Test
static char * | vers = "AFP3.4"
static const struct uam_test | uam_matrix []
static struct test_fn | Test_list []

## Macro Definition Documentation

## ◆ TEST4_MAX_CONNS

#define TEST4_MAX_CONNS 201

## Function Documentation

## ◆ connect_server()

STATIC void connect_server | ( | CONN * | conn | ) |

## ◆ list_tests()

void list_tests | ( | void |  | ) |
| static

## ◆ main()

int main | ( | int | ac,
|  | char ** | av )

## ◆ run_all()

void run_all | ( | void |  | ) |
| static

## ◆ run_cleartxt()

unsigned int run_cleartxt | ( | CONN * | conn,
|  | const char * | pvers,
|  | const char * | user,
|  | const char * | pwd )
| static

## ◆ run_nua()

unsigned int run_nua | ( | CONN * | conn,
|  | const char * | pvers,
|  | const char * | user,
|  | const char * | pwd )
| static

## ◆ run_one()

void run_one | ( | char * | name | ) |
| static

## ◆ test1()

STATIC void test1 | ( | void |  | ) |

## ◆ test10()

STATIC void test10 | ( | void |  | ) |

## ◆ test2()

STATIC void test2 | ( | void |  | ) |

## ◆ test3()

STATIC void test3 | ( | void |  | ) |

## ◆ test4()

STATIC void test4 | ( | void |  | ) |

## ◆ test5()

STATIC void test5 | ( | void |  | ) |

## ◆ test6()

STATIC void test6 | ( | void |  | ) |

## ◆ test7()

STATIC void test7 | ( | void |  | ) |

## ◆ test8()

STATIC void test8 | ( | void |  | ) |

## ◆ test9()

STATIC void test9 | ( | void |  | ) |

## ◆ usage()

void usage | ( | char * | av0 | ) |

## Variable Documentation

## ◆ Conn

CONN* Conn

## ◆ Conn2

CONN* Conn2

## ◆ Data

char Data[300000] = ""

## ◆ Dsi

DSI* Dsi

## ◆ EmptyVol

int EmptyVol = 0

## ◆ ExitCode

int ExitCode = 0

## ◆ FailCount

int FailCount = 0

## ◆ FailedTests

char FailedTests[1024][256] = {{0}}

## ◆ List

int List = 0

## ◆ Mac

int Mac = 0

## ◆ NotTestedCount

int NotTestedCount = 0

## ◆ NotTestedTests

char NotTestedTests[1024][256] = {{0}}

## ◆ PassCount

int PassCount = 0

## ◆ Password

char* Password = ""

## ◆ Path

char* Path

## ◆ Port

int Port = DSI_AFPOVERTCP_PORT

## ◆ Server

char* Server = "localhost"

## ◆ Server2

char* Server2

## ◆ SkipCount

int SkipCount = 0

## ◆ SkippedTests

char SkippedTests[1024][256] = {{0}}

## ◆ Test

char* Test

## ◆ Test_list

struct test_fn Test_list[]
| static

Initial value:
= {
{ "test1", test1 },
{ "test2", test2 },
{ "test3", test3 },
{ "test4", test4 },
{ "test5", test5 },
{ "test6", test6 },
{ "test7", test7 },
{ "test8", test8 },
{ "test9", test9 },
{ "test10", test10 },
{ NULL, NULL },
}
test6
STATIC void test6()
Definition FPCreateDir.c:8
test1
STATIC void test1(void)
Definition FPGetSrvrInfo.c:8
test5
STATIC void test5()
Definition FPRead.c:10
test8
STATIC void test8()
Definition FPRead.c:900
test2
STATIC void test2()
Definition FPSync.c:7
test4
STATIC void test4(void)
Definition logintest.c:172
test9
STATIC void test9(void)
Definition logintest.c:421
test3
STATIC void test3(void)
Definition logintest.c:122
test10
STATIC void test10(void)
Definition logintest.c:511
test7
STATIC void test7(void)
Definition logintest.c:342
NULL
#define NULL
Definition utf8util.c:47

## ◆ uam_matrix

const struct uam_test uam_matrix[]
| static

Initial value:
= {
{ "No User Authent", run_nua, 0 },
{ "Cleartxt Passwrd", run_cleartxt, 1 },
{ NULL, NULL, 0 }
}
run_cleartxt
static unsigned int run_cleartxt(CONN *conn, const char *pvers, const char *user, const char *pwd)
Definition logintest.c:492
run_nua
static unsigned int run_nua(CONN *conn, const char *pvers, const char *user, const char *pwd)
Definition logintest.c:486

## ◆ User

char* User

## ◆ User2

char* User2

## ◆ vers

char* vers = "AFP3.4"
| static

## ◆ Version

int Version = 34

## ◆ Vol

char* Vol = ""

## ◆ VolID

uint16_t VolID